Month: January 2010

ubuntu 9.10(kamic koala) amd64编译安装firefox 3.6(namoroka)

  代号为”namoroka”的firefox 3.6正式发布了,性能提升不少。ubuntu估计要到下一个版本10.04(Lucid Lynx)才会更新到firefox 3.6,但愿不要这么晚。mozilla官方不提供amd64版本的安装包,那么下载源代码本地编译吧,这样性能还能更优。编译安装步骤如下,参考了官方build文档。      0. 准备编译环境和依赖   sudo apt-get build-dep firefox   sudo apt-get install libasound2-dev libcurl4-openssl-dev libnotify-dev libxt-dev libiw-dev mesa-common-dev autoconf2.13

PXE网络安装Debian

  近期收拾一台老本本IBM thinkpad 390X,虽有光驱,但已无法使用。网卡支持PXE(Preboot eXecution Environment),于是以PXE方式启动安装Debian。   PXE网络安装或启动需要BOOTP(Bootstrap Protocol)和TFTP(Trivial File Transfer Protocol)服务支持。通过BOOTP服务获取本机IP和启动映像(boot image)所在的网络位置,通过TFTP服务来获取启动映像。DHCP(Dynamic Host Configuration Protocol)是一个更具弹性的,兼容BOOTP的动态主机配置协议,因此在局域网内安装TFTP和DHCP服务器即可。

nginx 0.7.64,php 5.3.1和mysql 5安装手记

  VPS上安装的是Debian Lenny AMD64,Debian让人变懒惰了,不过这次不使用Apache,改用nginx,有些东西还是要从源码编译安装的,记录下来以备忘,文后附安装脚本。当然能用apt-get安装的就直接安装了,省心又省力。    0. 准备build环境   sudo apt-get -y install build-essential autoconf 1. 安装mysql 5   sudo apt-get -y install mysql-server mysql-client libmysqlclient15-dev   这里一并安装了libmysqlclient15-dev,因为编译php时需要这个库。 2. 安装nginx 0.7.64   虽然可以apt-get来安装nginx,但版本太旧。当下nginx最新稳定版本为0.7.64,最新开发版为0.8.31。xxx说稳定压倒一切,所以要安装稳定版。先安装regex支持库PCRE(Perl Compatible Regular Expressions)

PuTTY画线不正确的解决

  PuTTY连上服务器运行iptraf,发现显示出现问题,本来应该是直线的地方,却出现了lmkjxq等字符,很难看。打开PuTTY配置,找到Connection->Data->Terminal details,把终端类型(Terninal-type string)由xterm改为linux,问题解决。   经过试验发现,如果不使用UTF-8编码,则终端类型xterm和linux画线都很正常,如果使用UTF-8,则只有使用终端类型linux是正常的,看来出现画线不正确应该是xterm这个终端类型对UTF-8编码的支持存在一些问题。

ubuntu系统为ppp接口配置IPv6隧道(IPv6-in-IPv4 tunnel)

  linux最早的IPv6/IPng支持代码始于kernel 2.1.8,November 1996,也算是历史悠久了,而IPv6在1998年8月10日成为IETF的草案标准。   Ubuntu 9.10默认是开启IPv6协议的,也就是说我们的主机是IPv4/IPv6双栈主机。可以通过检查/proc/net/if_inet6这个文件是否存在来确定内核是否支持IPv6,如果这个文件不存在,那么你的系统极有可能是通过可加载模块来支持IPv6的。虽然kernel是支持IPv6了,但现在的网络条件下,除了教育网直接支持IPv6外,其他网络用户还是无法直接访问IPv6网站的,也就是说我们的主机成了IPv6孤岛,只能通过IPv6-in-IPv4隧道协议来访问IPv6资源。